<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class AssignedPrivileg extends Privileg
{
  public $access = 0;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'bearbdatum':
        return \DatamodulVarType::TYPE_DATE;
      case 'tool_user_id':
      case 'privileg_id':
      case 'accessnumber':
      case 'access':
        return \DatamodulVarType::TYPE_INT;
    }
  }
}